<div id="invite" class="generic-content-wrapper">
  <div class="section-title-wrapper">
    <h2>{{$invite}}</h2>
  </div>
  <div class="section-content-wrapper">

    <form action="invite" method="post" id="invite-form" >

      <input type='hidden' name='form_security_token' value='{{$form_security_token}}'>

      <div id="invite-recipient-textarea" class="form-group field custom">
        <label for="recipients">{{$addr_text}}</label>
        <textarea id="invite-recipients" name="recipients" rows="6" class="form-control"></textarea>
      </div>

      <div id="invite-message-textarea" class="form-group field custom">
        <label for="message">{{$msg_text}}</label>
        <textarea id="invite-message" name="message" rows="6" class="form-control">{{$personal_message}}</textarea>
      </div>
      
      <h3>{{$standard_message_label}}</h3>
      {{$lco}}
      <br>
      {{$tplin}}
      <pre id="invite-message-standard">
      {{$standard_message}}
      </pre>
      <br>
      
      <div id="invite-submit-wrapper" class="form-group">
        <button class="btn btn-primary btn-sm" type="submit" id="invite-submit" name="submit" value="{{$submit}}">{{$submit}}</button>
      </div>

    </form>

  </div>
</div>
<script>
  // @hi
  window.tao = {};
  tao.acm = {};
  {{$tao}}
  $('head').append(
  '<style> '+
  '  .acmhi { background: yellow; }'+
  '  .acmfa { margin: 0 0.2em 0 1em; }'+
  '  .acmcc { font-family: monospace; text-transform: uppercase; }'+
  '  .invites { text-transform: capitalize; }'+
  '</style>');
  $('#invite-message').attr('placeholder','{{$personal_pointer}}');
  $('#invite')
  .delegate('.invites', 'click', function() {
    tao.acm.invite=$(this).text();
    $('.invites').removeClass('acmhi');
    $('#acm-'+tao.acm.invite).addClass('acmhi');
    acmtx();
    })
  .delegate('.acmcc', 'click', function() {
    tao.acm.cc=$(this).text();
    $('.acmcc').removeClass('acmhi');
    $(this).addClass('acmhi');
    $.each( tao.acm[tao.acm.cc], function(k,v) {
      tao.acm.mycc=tao.acm.cc;
    });
    acmtx();
  });
  $('#invite-submit').click( function() {
    $('#invite-message').val($('#invite-message-standard').text());
  });
  function acmtx() {
    typeof(tao.acm[tao.acm.mycc][tao.acm.invite]) !== 'undefined'
    ? $('#invite-message-standard').text(decodeURIComponent(tao.acm[tao.acm.mycc][tao.acm.invite]))
    : $('#invite-message-standard').text(' ');
  }
</script>
